apiVersion: apps/v1
kind: DaemonSet
metadata:
  name: zabbix-agent
  namespace: monitoring
spec:
  template:
    spec:
      containers:
        - name: zabbix-agent
          image: zabbix/zabbix-agent
          resources:
            requests:
              memory: 50M
              cpu: 10m
            limits:
              memory: 64M
              cpu: 200m
          ports:
            - containerPort: 10050
          envFrom:
          - configMapRef:
              name: zabbix-agent
